(function() {

	var listbox_items = [];

	nnr_cf_data = jQuery.parseJSON(nnr_cf_data);

	jQuery.each(nnr_cf_data, function(key, value) {
		listbox_items.push({text: nnr_cf_data[key].name, value: nnr_cf_data[key].id});
	});

	if (listbox_items.length > 0) {
		tinymce.create('tinymce.plugins.NNRobotsContentFire', {
	        /**
	         * Initializes the plugin, this will be executed after the plugin has been created.
	         * This call is done before the editor instance has finished it's initialization so use the onInit event
	         * of the editor instance to intercept that event.
	         *
	         * @param {tinymce.Editor} ed Editor instance that the plugin is initialized in.
	         * @param {string} url Absolute URL to where the plugin is located.
	         */
	        init : function(ed, url) {

				ed.addButton('nnr_content_fire', {
					type: 'listbox',
	                title : 'Content Fire',
	                fixedWidth: true,
	                icon: 'wpsite-gallery',
	                image: url + '/logo.png',
	                onselect: function(e) {
	                    tinymce.execCommand('mceInsertRawHTML', false, '[nnr_content_fire id="' + this.value() + '"]');
	                },
	                onPostRender: function() {
				        ed.my_control = this; // ui control element
				    },
					values: listbox_items
	            });
	        },

	        /**
	         * Returns information about the plugin as a name/value array.
	         * The current keys are longname, author, authorurl, infourl and version.
	         *
	         * @return {Object} Name/value array containing information about the plugin.
	         */
	        getInfo : function() {
	            return {
	                longname : '99 Robots',
	                author : '99robots.com',
	                authorurl : 'http://99robots.com',
	                version : "1.0"
	            };
	        }
	    });

	    // Register plugin
	    tinymce.PluginManager.add( 'nnr_content_fire', tinymce.plugins.NNRobotsContentFire );
	}
})();