<?php
	//if uninstall not called from WordPress exit
	if ( !defined( 'WP_UNINSTALL_PLUGIN' ) )
		exit ();

	// Clear hook

	wp_clear_scheduled_hook('initialize_content_fire_stats_daily_cron');
	wp_clear_scheduled_hook('setup_content_fire_email_stats_cron');
	wp_clear_scheduled_hook('purge_content_fire_transients_cron');

	// Delete all existence of this plugin

	global $wpdb;

	include_once(dirname(__FILE__) . "/99robots-content-fire.php");
	include_once(dirname(__FILE__) . "/admin/model/db.php");
	include_once(dirname(__FILE__) . "/core/model/stats.php");
	include_once(dirname(__FILE__) . "/core/model/email-signups.php");

	$version_option_name = 'nnrobots_content_fire_version';

	if ( !is_multisite() ) {
		$wpdb->query('DROP TABLE `' . NNRobots_Content_Fire_DB::getTableName() . '`');
		$wpdb->query('DROP TABLE `' . NNRobots_Stats_CF::getTableName() . '`');
		$wpdb->query('DROP TABLE ' . NNRobots_Email_Signups_CF::getTableName());

		delete_option($version_option_name);
	} else {
	    $blog_ids = $wpdb->get_col( "SELECT blog_id FROM $wpdb->blogs" );
	    $original_blog_id = get_current_blog_id();

	    foreach ( $blog_ids as $blog_id ) {
	        switch_to_blog( $blog_id );
	        $wpdb->query('DROP TABLE `' . NNRobots_Content_Fire_DB::getTableName() . '`');
	        $wpdb->query('DROP TABLE `' . NNRobots_Stats_CF::getTableName() . '`');
			$wpdb->query('DROP TABLE ' . NNRobots_Email_Signups_CF::getTableName());
	    }

	    restore_current_blog();

	    delete_site_option($version_option_name);
	}

?>